PETSc version 3.15.5
Fix/Edit manual page

# DMPlexComputeJacobianAction

Form the local portion of the Jacobian action Z = J(X) Y at the local solution X using pointwise functions specified by the user.

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMPlexComputeJacobianAction(DM dm, IS cellIS, PetscReal t, PetscReal X_tShift, Vec X, Vec X_t, Vec Y, Vec Z, void *user)

### Input Parameters

| dm | - The mesh
| cellIS | - index set for the cells or NULL to use entire depth=dim stratum
| t | - The time
| X_tShift | - The multiplier for the Jacobian with respect to X_t
| X | - Local solution vector
| X_t | - Time-derivative of the local solution vector
| Y | - Local input vector
| user | - The user context

### Output Parameter

| Z | - Local output vector

### Note

We form the residual one batch of elements at a time. This allows us to offload work onto an accelerator, like a GPU, or vectorize on a multicore machine.

### See Also

DMPlexSNESComputeResidualFEM()

### Level

developer

### Location

src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages